<?php

declare(strict_types=1);

namespace Drupal\views_remote_data\Events;

use Drupal\Component\EventDispatcher\Event;

/**
 * Event dispatched to attach entities to a remote View.
 */
final class RemoteDataLoadEntitiesEvent extends Event {

  /**
   * The results.
   *
   * @var \Drupal\views\ResultRow[]
   */
  private array $results;

  /**
   * Constructs a new RemoteDataLoadEntitiesEvent object.
   *
   * @param \Drupal\views\ResultRow[] $results
   *   The results.
   */
  public function __construct(array $results) {
    $this->results = $results;
  }

  /**
   * Get the results.
   *
   * @return \Drupal\views\ResultRow[]
   *   The results.
   */
  public function getResults(): array {
    return $this->results;
  }

}
